"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_test_renderer_1 = (0, tslib_1.__importDefault)(require("react-test-renderer"));
var testHelpers_1 = require("./util/testHelpers");
describe('The field pack', function () {
    it('renders a minimal text field', function () {
        var Form1 = (0, testHelpers_1.renderForm)(testHelpers_1.minimalTextFieldForm);
        expect(react_test_renderer_1.default.create(Form1).toJSON()).toMatchSnapshot();
        var Form2 = (0, testHelpers_1.renderForm)(function () { return (0, testHelpers_1.minimalTextFieldForm)({ description: 'Field description' }); });
        expect(react_test_renderer_1.default.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal textarea field', function () {
        var Form = (0, testHelpers_1.renderForm)(testHelpers_1.minimalTextAreaFieldForm);
        expect(react_test_renderer_1.default.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = (0, testHelpers_1.renderForm)(function () { return (0, testHelpers_1.minimalTextAreaFieldForm)({ description: 'Field description' }); });
        expect(react_test_renderer_1.default.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal select field', function () {
        var Form = (0, testHelpers_1.renderForm)(testHelpers_1.minimalSelectFieldForm);
        expect(react_test_renderer_1.default.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = (0, testHelpers_1.renderForm)(function () { return (0, testHelpers_1.minimalSelectFieldForm)({ description: 'Field description' }); });
        expect(react_test_renderer_1.default.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal check field', function () {
        var Form = (0, testHelpers_1.renderForm)(testHelpers_1.minimalCheckFieldForm);
        expect(react_test_renderer_1.default.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = (0, testHelpers_1.renderForm)(function () { return (0, testHelpers_1.minimalCheckFieldForm)({ description: 'Field description' }); });
        expect(react_test_renderer_1.default.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal number field', function () {
        var Form = (0, testHelpers_1.renderForm)(testHelpers_1.minimalNumberFieldForm);
        expect(react_test_renderer_1.default.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = (0, testHelpers_1.renderForm)(function () { return (0, testHelpers_1.minimalNumberFieldForm)({ description: 'Field description' }); });
        expect(react_test_renderer_1.default.create(Form2).toJSON()).toMatchSnapshot();
    });
});
//# sourceMappingURL=index.spec.js.map