"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minimalNumberFieldForm = exports.minimalCheckFieldForm = exports.minimalSelectFieldForm = exports.minimalTextAreaFieldForm = exports.minimalTextFieldForm = exports.renderForm = void 0;
var tslib_1 = require("tslib");
var react_form_1 = (0, tslib_1.__importStar)(require("@saphe/react-form"));
var react_hooks_1 = require("@testing-library/react-hooks");
var __1 = require("..");
var renderForm = function (hook) { return (0, react_hooks_1.renderHook)(hook).result.current.form; };
exports.renderForm = renderForm;
var minimalTextFieldForm = function (props) {
    return (0, react_form_1.default)({
        name: 'minimalTextFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            textField: {
                type: react_form_1.Field.TEXT,
                label: 'Text Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalTextFieldForm = minimalTextFieldForm;
var minimalTextAreaFieldForm = function (props) {
    return (0, react_form_1.default)({
        name: 'minimalTextAreaFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            textAreaField: {
                type: react_form_1.Field.TEXT_AREA,
                label: 'Textarea Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalTextAreaFieldForm = minimalTextAreaFieldForm;
var minimalSelectFieldForm = function (props) {
    return (0, react_form_1.default)({
        name: 'minimalSelectFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            selectField: {
                type: react_form_1.Field.SELECT,
                label: 'Select Field',
                description: props === null || props === void 0 ? void 0 : props.description,
                options: [
                    {
                        label: 'Option 1',
                        value: 'option-1',
                    },
                    {
                        label: 'Option 2',
                        value: 'option-2',
                    },
                ],
            },
        },
    });
};
exports.minimalSelectFieldForm = minimalSelectFieldForm;
var minimalCheckFieldForm = function (props) {
    return (0, react_form_1.default)({
        name: 'minimalCheckFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            checkField: {
                type: react_form_1.Field.CHECK,
                label: 'Check Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalCheckFieldForm = minimalCheckFieldForm;
var minimalNumberFieldForm = function (props) {
    return (0, react_form_1.default)({
        name: 'minimalNumberFieldForm',
        fieldPack: __1.BootstrapFieldPack,
        fields: {
            numberField: {
                type: react_form_1.Field.NUMBER,
                label: 'Number Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
exports.minimalNumberFieldForm = minimalNumberFieldForm;
//# sourceMappingURL=testHelpers.js.map