import renderer from 'react-test-renderer';
import { minimalCheckFieldForm, minimalNumberFieldForm, minimalSelectFieldForm, minimalTextAreaFieldForm, minimalTextFieldForm, renderForm, } from './util/testHelpers';
describe('The field pack', function () {
    it('renders a minimal text field', function () {
        var Form1 = renderForm(minimalTextFieldForm);
        expect(renderer.create(Form1).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () { return minimalTextFieldForm({ description: 'Field description' }); });
        expect(renderer.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal textarea field', function () {
        var Form = renderForm(minimalTextAreaFieldForm);
        expect(renderer.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () { return minimalTextAreaFieldForm({ description: 'Field description' }); });
        expect(renderer.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal select field', function () {
        var Form = renderForm(minimalSelectFieldForm);
        expect(renderer.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () { return minimalSelectFieldForm({ description: 'Field description' }); });
        expect(renderer.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal check field', function () {
        var Form = renderForm(minimalCheckFieldForm);
        expect(renderer.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () { return minimalCheckFieldForm({ description: 'Field description' }); });
        expect(renderer.create(Form2).toJSON()).toMatchSnapshot();
    });
    it('renders a minimal number field', function () {
        var Form = renderForm(minimalNumberFieldForm);
        expect(renderer.create(Form).toJSON()).toMatchSnapshot();
        var Form2 = renderForm(function () { return minimalNumberFieldForm({ description: 'Field description' }); });
        expect(renderer.create(Form2).toJSON()).toMatchSnapshot();
    });
});
//# sourceMappingURL=index.spec.js.map