import useForm, { Field } from '@saphe/react-form';
import { renderHook } from '@testing-library/react-hooks';
import { BootstrapFieldPack } from '..';
export var renderForm = function (hook) { return renderHook(hook).result.current.form; };
export var minimalTextFieldForm = function (props) {
    return useForm({
        name: 'minimalTextFieldForm',
        fieldPack: BootstrapFieldPack,
        fields: {
            textField: {
                type: Field.TEXT,
                label: 'Text Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
export var minimalTextAreaFieldForm = function (props) {
    return useForm({
        name: 'minimalTextAreaFieldForm',
        fieldPack: BootstrapFieldPack,
        fields: {
            textAreaField: {
                type: Field.TEXT_AREA,
                label: 'Textarea Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
export var minimalSelectFieldForm = function (props) {
    return useForm({
        name: 'minimalSelectFieldForm',
        fieldPack: BootstrapFieldPack,
        fields: {
            selectField: {
                type: Field.SELECT,
                label: 'Select Field',
                description: props === null || props === void 0 ? void 0 : props.description,
                options: [
                    {
                        label: 'Option 1',
                        value: 'option-1',
                    },
                    {
                        label: 'Option 2',
                        value: 'option-2',
                    },
                ],
            },
        },
    });
};
export var minimalCheckFieldForm = function (props) {
    return useForm({
        name: 'minimalCheckFieldForm',
        fieldPack: BootstrapFieldPack,
        fields: {
            checkField: {
                type: Field.CHECK,
                label: 'Check Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
export var minimalNumberFieldForm = function (props) {
    return useForm({
        name: 'minimalNumberFieldForm',
        fieldPack: BootstrapFieldPack,
        fields: {
            numberField: {
                type: Field.NUMBER,
                label: 'Number Field',
                description: props === null || props === void 0 ? void 0 : props.description,
            },
        },
    });
};
//# sourceMappingURL=testHelpers.js.map